Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class SecDNSV10SubDomainHandler

    java.lang.Object
      com.verisign.epp.serverstub.SecDNSV10SubDomainHandler

All Implemented Interfaces:
  SecDNSSubDomainHandler

    public class SecDNSV10SubDomainHandler

extends java.lang.Object
implements SecDNSSubDomainHandler

The `SecDNSV10SubDomainHandler` class is a concrete `SecDNSSubDomainHandler` for version 1.0 of the secDNS extension. It is wrapped by the wrapping `SecDNSDomainHandler` to support multiple versions of the secDNS extension. Any version 1.0 specific behavior is handled by `SecDNSV10SubDomainHandler`.

Constructor Summary
`SecDNSV10SubDomainHandler()`

Method Summary
`EPPResponse` | `doDomainCreate(EPPDomainCreateCmd aCreateCommand, java.lang.Object aData)` Handle an EPP Domain Create Command for version 1.0 of the secDNS extension.
`EPPDomainInfoResp` | `doDomainInfo(EPPDomainInfoCmd aInfoCommand, EPPDomainInfoResp aInfoResponse, java.lang.Object aData)` Handle an EPP Domain Info Command.
`EPPResponse` | `doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand, java.lang.Object aData)` Handle an EPP Domain Update Command for version 1.0 of the secDNS extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecDNSV10SubDomainHandler

    public SecDNSV10SubDomainHandler()

Method Detail

### doDomainCreate

    public EPPResponse doDomainCreate(EPPDomainCreateCmd aCreateCommand,
                                      java.lang.Object aData)

  Handle an EPP Domain Create Command for version 1.0 of the secDNS extension.

  Specified by:
    `doDomainCreate` in interface `SecDNSSubDomainHandler`
  Parameters:
    `aCreateCommand` - Command sent by the client
    `aData` - Server data. This is assumed to be an instance of `SessionData`.
  Returns:
    An `EPPResponse` to be returned to the client. The transaction id (client and server) is not set.

### doDomainUpdate

    public EPPResponse doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand,
                                      java.lang.Object aData)

  Handle an EPP Domain Update Command for version 1.0 of the secDNS extension.

  Specified by:
    `doDomainUpdate` in interface `SecDNSSubDomainHandler`
  Parameters:
    `aUpdateCommand` - Command sent by the client
    `aData` - Server data. This is assumed to be an instance of `SessionData`.
  Returns:
    An `EPPResponse` to be returned to the client. The transaction id (client and server) is not set.

### doDomainInfo

    public EPPDomainInfoResp doDomainInfo(EPPDomainInfoCmd aInfoCommand,
                                          EPPDomainInfoResp aInfoResponse,
                                          java.lang.Object aData)

  Handle an EPP Domain Info Command.

  Specified by:
    `doDomainInfo` in interface `SecDNSSubDomainHandler`
  Parameters:
    `aInfoCommand` - Command sent by the client
    `aInfoResponse` - Response filled in without the secDNS extension.
    `aData` - Server data. This is assumed to be an instance of `SessionData`.
  Returns:
    An `EPPDomainInfoResp` to be returned to the client with the secDNS extension attached.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.